View Issue Details

IDProjectCategoryView StatusLast Update
0003410FreeCADBugpublic2018-10-02 17:06
Reportereasyw-fc Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003410: 0.17 Regression: recompute will make parts lose color and take a longer delay compared to FC0.16
DescriptionFreeCAD0.17 shows a regression:
1) the Placement is getting a bit unresponsive (a bigger delay compared to FC0.16, before updating the scene)
2) the colors get lost during any simple changing of Placement
Steps To Reproduceplease visit the forum topic
https://forum.freecadweb.org/viewtopic.php?f=10&t=27732
TagsNo tags attached.

Activities

easyw-fc

2018-03-29 07:54

reporter  

rotating_slider.fcstd (101,502 bytes)

easyw-fc

2018-04-06 13:22

reporter   ~0011133

commits to refer:
https://github.com/FreeCAD/FreeCAD/commit/283ab961b5c4087bf131e74f40d87ddd3335a18b

Kunda1

2018-08-26 00:17

administrator   ~0011657

Last edited: 2018-08-26 00:18

View 2 revisions

@easyw-fc is this still reproducible on 0.18dev HEAD ?

wmayer

2018-10-02 17:06

administrator   ~0011886

https://github.com/FreeCAD/FreeCAD/commit/93f06f82560820469b63939b35557bea4dffa2e9

Issue History

Date Modified Username Field Change
2018-03-29 07:54 easyw-fc New Issue
2018-03-29 07:54 easyw-fc File Added: rotating_slider.fcstd
2018-04-06 13:22 easyw-fc Note Added: 0011133
2018-05-31 00:25 Kunda1 Target Version => 0.18
2018-05-31 00:25 Kunda1 Summary recompute will make parts lose color and take a longer delay compared to FC0.16 => 0.17 Regression: recompute will make parts lose color and take a longer delay compared to FC0.16
2018-08-26 00:17 Kunda1 Note Added: 0011657
2018-08-26 00:18 Kunda1 Note Edited: 0011657 View Revisions
2018-10-02 17:06 wmayer Assigned To => wmayer
2018-10-02 17:06 wmayer Status new => closed
2018-10-02 17:06 wmayer Resolution open => fixed
2018-10-02 17:06 wmayer Fixed in Version => 0.18
2018-10-02 17:06 wmayer Note Added: 0011886